package com.me.pacman.state;

import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.me.pacman.PacDude;
import com.me.pacman.entity.Pacman;
import com.me.pacman.level.Level;

public class PlayState extends LevelState {

    private Texture levelBackground;
    private BitmapFont font;

    public boolean paused = false;

    private Pacman pacman;

    public PlayState(PacDude game) {
        super(game);
    }

    @Override
    public void setup() {
        levelBackground = game.assets.getLevelBackground();
        font = game.assets.getFont();

        level = new Level(game,"level");

        pacman = new Pacman(this);
    }

    @Override
    public void render() {
        game.batch.draw(levelBackground, 0, 16);
        level.render(0, 16);

        pacman.render(game.batch, 0, 16);
    }

    @Override
    public void update(float dt) {
        pacman.update(dt);
    }
}
